/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2001.  All Rights Reserved.
 *
 * Protege-2000 was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu
 *
 * Contributor(s):
 */

package edu.stanford.smi.protege;

import java.awt.*;
import java.util.*;

import junit.framework.*;

import edu.stanford.smi.protege.model.*;
import edu.stanford.smi.protege.resource.*;
import edu.stanford.smi.protege.test.*;
import edu.stanford.smi.protege.ui.*;

/**
 * Functional-test suite for all of Protege
 *
 * @author Ray Fergerson <fergerson@smi.stanford.edu>
 */
public class AllFunctionalTests extends TestCase {
    private static final String TEST_PROJECT = "tests\\TestProject.pprj";

    public void testLoadTabs() {
        Application.main(new String[] { TEST_PROJECT });
        Component mainFrame = Application.getMainWindow();
        KnowledgeBase kb = ProjectManager.getProjectManager().getCurrentProject().getKnowledgeBase();
        Cls thing = kb.getRootCls();
        Cls testClass = kb.getCls("testClass");
        Object[] path = new Object[] { thing, testClass };
        TestUtilities.setSelectionOnTree(mainFrame, Icons.getClsIcon(), path);
        TestUtilities.setSelectionOnTree(mainFrame, Icons.getFormIcon(), path);
        TestUtilities.setSelectionOnTree(mainFrame, Icons.getInstanceIcon(), path);
        TestUtilities.setSelectionOnTree(mainFrame, Icons.getClsAndInstanceIcon(), path);

        Object[] slotPath = new Object[1];
        Iterator i = kb.getSlots().iterator();
        while (i.hasNext()) {
            Slot slot = (Slot) i.next();
            if (!slot.isSystem()) {
                slotPath[0] = slot;
                TestUtilities.setSelectionOnTree(mainFrame, Icons.getSlotIcon(), slotPath);
            }
        }
    }
}
