/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2001.  All Rights Reserved.
 *
 * Protege-2000 was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu
 *
 * Contributor(s):
 */

package edu.stanford.smi.protege;

import junit.framework.*;

/**
 * Unit-test suite for all of Protege
 *
 * @author    Ray Fergerson <fergerson@smi.stanford.edu>
 */
public class AllUnitTests {

    public static Test suite() {
        TestSuite suite = new TestSuite("All Unit Tests");
        suite.addTest(edu.stanford.smi.protege._ProtegePackage_Test.suite());
        suite.addTest(edu.stanford.smi.protege.server._ServerPackage_Test.suite());
        suite.addTest(edu.stanford.smi.protege.action._ActionPackage_Test.suite());
        suite.addTest(edu.stanford.smi.protege.event._EventPackage_Test.suite());
        suite.addTest(edu.stanford.smi.protege.model._ModelPackage_Test.suite());
        suite.addTest(edu.stanford.smi.protege.model.framestore._FrameStorePackage_Test.suite());
        suite.addTest(edu.stanford.smi.protege.model.framestore.undo._UndoPackage_Test.suite());
        suite.addTest(edu.stanford.smi.protege.model.framestore.cleandispatch._CleanDispatchPackage_Test.suite());
        suite.addTest(edu.stanford.smi.protege.resource._ResourcePackage_Test.suite());
        suite.addTest(edu.stanford.smi.protege.storage.clips.AllTests.suite());
        suite.addTest(edu.stanford.smi.protege.storage.database._DatabasePackage_Test.suite());
        suite.addTest(edu.stanford.smi.protege.storage.database_with_include._DatabasePackage_Test.suite());
        suite.addTest(edu.stanford.smi.protege.storage.jdbc._JdbcPackage_Test.suite());
        suite.addTest(edu.stanford.smi.protege.storage.jdbc.framedb._FramedbPackage_Test.suite());
        suite.addTest(edu.stanford.smi.protege.ui._UiPackage_Test.suite());
        suite.addTest(edu.stanford.smi.protege.util._UtilPackage_Test.suite());
        suite.addTest(edu.stanford.smi.protege.widget._WidgetPackage_Test.suite());
        return suite;
    }
}
