/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2001.  All Rights Reserved.
 *
 * Protege-2000 was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu
 *
 * Contributor(s):
 */

package edu.stanford.smi.protege.model.query;

import java.util.*;
import edu.stanford.smi.protege.model.*;

public interface Query {
    // all types
    public final int EQUALS = 1;
    public final int CONTAINS = 10;

    // string operations
    public final int MATCHES_STRING = 2;

    // number operations
    public final int LESS_THAN = 5;
    public final int LESS_THAN_OR_EQUAL_TO = 7;
    public final int GREATER_THAN = 6;
    public final int GREATER_THAN_OR_EQUAL_TO = 8;
}

class AndQuery implements Query {
    public AndQuery(Collection queries) {
    }
}

class OrQuery implements Query {
    public OrQuery(Collection queries) {
    }
}

abstract class SlotValueQuery implements Query {


    protected SlotValueQuery(Cls cls, Slot slot, int operation, Object value) {
    }
}

class OwnSlotValueQuery extends SlotValueQuery {
    public OwnSlotValueQuery(Cls cls, Slot slot, int operation, Object value) {
        super(cls, slot, operation, value);
    }
}

class TemplateSlotValueQuery extends SlotValueQuery {
    protected TemplateSlotValueQuery(Cls cls, Slot slot, int operation, Object value) {
        super(cls, slot, operation, value);
    }
}

class TemplateFacetValueQuery implements Query {
}
