/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2001.  All Rights Reserved.
 *
 * Protege-2000 was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu
 *
 * Contributor(s):
 */

package edu.stanford.smi.protege.plugin;

import java.awt.*;

import javax.swing.*;

import edu.stanford.smi.protege.model.*;
import edu.stanford.smi.protege.util.*;

/**
 * TODO Class Comment
 * 
 * @author Ray Fergerson <fergerson@smi.stanford.edu>
 */
public class CreateProjectWizard extends Wizard {
    private CreateProjectPlugin plugin;
    private Project project;
    
    public CreateProjectWizard(JComponent owner) {
        super(owner, "Create New Project");
        addPage(new SelectProjectTypeWizardPage(this));
        setSize(new Dimension(400, 400));
    }
    
    public void setPlugin(CreateProjectPlugin plugin) {
        this.plugin = plugin;
    }
    
    public CreateProjectPlugin getPlugin() {
        return plugin;
    }
    public Project getProject() {
        return project;
    }
    
    public void onFinish() {
        super.onFinish();
        project = getPlugin().createProject();
    }
}

