/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2001.  All Rights Reserved.
 *
 * Protege-2000 was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu
 *
 * Contributor(s):
 */

package edu.stanford.smi.protege.resource;

/**
 * 
 * @author Ray Fergerson <fergerson@smi.stanford.edu>
 */
public final class LocalizedText {

    private static BundleHelper helper;
    
    static {
        helper = new BundleHelper("protege_text", LocalizedText.class);
        if (!helper.isValid()) {
            helper = new BundleHelper("edu.stanford.smi.protege.resource.files.protege_text", LocalizedText.class);
        }
    }

    public static boolean hasText(ResourceKey key) {
        return helper.hasText(key);
    }
    public static String getText(ResourceKey key) {
        return helper.getText(key);
    }
    
    public static String getText(ResourceKey key, String replacement) {
        return helper.getText(key, replacement);
    }
    
    public static String getText(ResourceKey key, String replacement1, String replacement2) {
        return helper.getText(key, replacement1, replacement2);
    }
    
    public static int getMnemonic(ResourceKey key) {
        return helper.getChar(new ResourceKey(key.toString() + ".mnemonic"));
    }
    
    public static int getShortcut(ResourceKey key) {
        return helper.getChar(new ResourceKey(key.toString() + ".shortcut"));
    }
    
}
