/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2001.  All Rights Reserved.
 *
 * Protege-2000 was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu
 *
 * Contributor(s):
 */

package edu.stanford.smi.protege.util;

import java.awt.*;

import javax.swing.*;
import javax.swing.plaf.*;

import com.jgoodies.plaf.plastic.theme.*;

import edu.stanford.smi.protege.resource.*;

/**
 * TODO Class Comment
 * 
 * @author Ray Fergerson <fergerson@smi.stanford.edu>
 */
public class ProtegePlasticTheme extends ExperienceBlue {
    private static final int DEFAULT_FONT_SIZE = 11;

    private static final Font replacementFont = new Font("Dialog", Font.PLAIN, DEFAULT_FONT_SIZE);

    public void addCustomEntriesToTable(UIDefaults table) {
        super.addCustomEntriesToTable(table);
        Object[] uiDefaults = { "Tree.expandedIcon", Icons.getHierarchyExpandedIcon(),
                "Tree.collapsedIcon", Icons.getHierarchyCollapsedIcon(),
                "Table.selectionForeground", getMenuItemSelectedForeground(),
                "Table.selectionBackground", getMenuItemSelectedBackground(),
                "List.selectionForeground", getMenuItemSelectedForeground(),
                "List.selectionBackground", getMenuItemSelectedBackground(),
                "Tree.selectionForeground", getMenuItemSelectedForeground(),
                "Tree.selectionBackground", getMenuItemSelectedBackground(), };
        table.putDefaults(uiDefaults);
    }

    protected Font getFont0() {
        return getFont0(DEFAULT_FONT_SIZE);
    }

    protected Font getFont0(int size) {
        Font font = super.getFont0(size);
        if (font.getName().startsWith("Tahoma")) {
            font = replacementFont.deriveFont((float) (size));
        }
        return font;
    }

    public ColorUIResource getMenuItemSelectedBackground() {
        return getPrimary3();
    }

    public ColorUIResource getMenuItemSelectedForeground() {
        return new ColorUIResource(Color.BLACK);
    }

    public ColorUIResource getMenuSelectedBackground() {
        return getMenuItemSelectedBackground();
    }

    public ColorUIResource getMenuSelectedForeground() {
        return getMenuItemSelectedForeground();
    }
}